Bug 8266 - remove location from pull down on search
Summary: remove location from pull down on search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2012-06-18 16:47 UTC by Nicole C. Engard
Modified: 2017-03-24 16:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8266 - remove location from pulldown (1.46 KB, patch)
2017-01-17 23:34 UTC, Gracie
Details | Diff | Splinter Review
Bug 8266 - remove location from pulldown (1.48 KB, patch)
2017-01-18 07:46 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 8266 - remove location from pulldown (1.53 KB, patch)
2017-01-19 13:28 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-06-18 16:47:27 UTC
I'm thinking that now that you can add in a limit on shelving location we should remove it from the pull down options at the top of the advanced search page.
Comment 1 Nicole C. Engard 2013-01-23 14:35:59 UTC
Also, the one a the top doesn't seem to work still ... a bug i can't find though.
Comment 2 Olli-Antti Kivilahti 2014-05-14 15:32:18 UTC
Heh in advanced search searching by the shelving location works if you use wildcards :) no idea why

shelving location => cart*
works for us.
Comment 3 Katrin Fischer 2016-12-28 14:06:40 UTC
(In reply to Olli-Antti Kivilahti from comment #2)
> Heh in advanced search searching by the shelving location works if you use
> wildcards :) no idea why
> 
> shelving location => cart*
> works for us.

My guess is it works because CART is the authorised value code in this case. 
I am for removing it from the pull down, as the users don't know the codes.
Comment 4 Gracie 2017-01-17 21:27:25 UTC
Could you please provide a screenshot with what you mean? We're struggling to understand this bug
Comment 5 Katrin Fischer 2017-01-17 22:54:45 UTC
Hi Grace,

try this:
- Go to the advanced search in the OPAC
- Click on 'more options' (this changes the pull downs)
- Check the pull downs with search options, there is now "shelving location"

The argument in this bug is, that since you can only enter an internal code there and there is a nicer option to make the locations searchable by their description (system preference AdvancedSearchTypes) it would be better to remove it from the pull down.
Comment 6 Gracie 2017-01-17 23:34:19 UTC
Created attachment 59121 [details] [review]
Bug 8266 - remove location from pulldown

Found shelving location in html and removed

To test
- Go to the advanced search in the OPAC
- Click on 'more options' (this changes the pull downs)
- Check the pull downs with search options, there is now "shelving
location"
- Apply the patch
- Refresh the page and notice the option is gone
Comment 7 Claire Gravely 2017-01-18 07:46:28 UTC
Created attachment 59144 [details] [review]
Bug 8266 - remove location from pulldown

Found shelving location in html and removed

To test
- Go to the advanced search in the OPAC
- Click on 'more options' (this changes the pull downs)
- Check the pull downs with search options, there is now "shelving
location"
- Apply the patch
- Refresh the page and notice the option is gone

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 8 Nick Clemens 2017-01-19 13:28:43 UTC
Created attachment 59243 [details] [review]
Bug 8266 - remove location from pulldown

Found shelving location in html and removed

To test
- Go to the advanced search in the OPAC
- Click on 'more options' (this changes the pull downs)
- Check the pull downs with search options, there is now "shelving
location"
- Apply the patch
- Refresh the page and notice the option is gone

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Kyle M Hall 2017-01-19 13:37:47 UTC
Pushed to master for Koha 17.05, thanks Grace!
Comment 10 Katrin Fischer 2017-01-22 19:17:17 UTC
This won't get ported back to 16.11.x as it is an enhancement.